Bug 680632 - etckeeper should ignore compiled Python objects in /etc/
Summary: etckeeper should ignore compiled Python objects in /etc/
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etckeeper
Version: 14
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-26 15:07 UTC by Dominic Hopf
Modified: 2011-04-18 04:08 UTC (History)
1 user (show)

Fixed In Version: etckeeper-0.53-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-17 19:18:32 UTC


Attachments (Terms of Use)

Description Dominic Hopf 2011-02-26 15:07:20 UTC
At present etckeeper does not ignore compiled Python objects ending with *.pyc or *.pyo. This causes a bit annoying cronjob mails containing hints about the object files for smolt:

-----
/etc/cron.daily/etckeeper:

etckeeper warning: hardlinked files could cause problems with git:
smolt/config.pyo
smolt/config.pyc
------

Adding following lines to the /etc/etckeeper/update-ignore.d/01update-ignore script should fix this:

-----
comment "ignore compiled python objects"
ignore "*.pyo"
ignore "*.pyc"
nl  
-----

Not sure if the script is called anyway when e.g. updating some packages via yum. Maybe a run of this script should be triggered manually?

Comment 1 Thomas Moschny 2011-02-26 19:59:54 UTC
Ok, two issues here:

1. add .pyc and .pyo files to ignore list. Already convinced upstream to do so: http://git.kitenet.net/?p=etckeeper.git;a=commit;h=01a3c610e68eeeda4c84f919726a3674fa4ac068

2. Run the /etc/etckeeper/update-ignore.d/01update-ignore script on package update. I will add that to the specfile.

Comment 2 Fedora Update System 2011-04-01 08:41:39 UTC
etckeeper-0.53-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el5

Comment 3 Fedora Update System 2011-04-01 08:41:51 UTC
etckeeper-0.53-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc15

Comment 4 Fedora Update System 2011-04-01 08:42:03 UTC
etckeeper-0.53-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el6

Comment 5 Fedora Update System 2011-04-01 08:42:16 UTC
etckeeper-0.53-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc14

Comment 6 Fedora Update System 2011-04-01 08:42:27 UTC
etckeeper-0.53-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc13

Comment 7 Fedora Update System 2011-04-01 16:27:23 UTC
Package etckeeper-0.53-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing etckeeper-0.53-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-04-17 19:18:23 UTC
etckeeper-0.53-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-17 19:19:05 UTC
etckeeper-0.53-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-17 21:21:53 UTC
etckeeper-0.53-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-04-17 21:24:49 UTC
etckeeper-0.53-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-04-18 04:08:30 UTC
etckeeper-0.53-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.